Name: colem
Version: 2.6
Release: %mkrel 1
License: Freeware
Packager: Agent Smith (ruidobranco@yahoo.com.br)
Group: Emulators
Summary: Emulator for the Coleco Vision console
URL: http://fms.komkon.org/ColEm/
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-build

AutoReqProv: no

Requires: glibc
Requires: libSDL1.2_0
Requires: libSDL_sound1.0
Requires: libSDL_mixer1.2

Obsoletes: %name < %version

%description
ColEm is a portable emulator of the old ColecoVision videogame console. It should run most ColecoVision games and supports Coleco's SuperAction controllers with spin wheels. A Coleco rom bios file(not included) must be placed in /usr/share/games/colem for ColEm to work.

%prep

%setup -q -n %{name}

%build 
 
#%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/games/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps


cp %{name}.sh %{buildroot}%{_bindir}/

cp $RPM_BUILD_DIR/%{name}/%{name}32 %{buildroot}%{_datadir}/games/%{name}/%{name}32

cp $RPM_BUILD_DIR/%{name}/%{name}.desktop %{buildroot}%{_datadir}/applications

cp $RPM_BUILD_DIR/%{name}/%{name}.png %{buildroot}%{_datadir}/pixmaps

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/%{name}.sh
%{_datadir}/games/%{name}/%{name}32
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%clean

#%__rm -rf "%{buildroot}"

%changelog
* Tue Aug 14 2012 Neal <nealbrks0 at gmail dot com> 2.6-1pclos2012
- process

* Tue Aug 14 2012 Agent Smith <ruidobranco@yahoo.com.br> 2.6-1pclos2012
- Created package Colem
